Megjelent az Ubuntu 21.10 bétája

Címkék

Hozzászólások

Na lássuk. Mi baj történhetne?   apt dist-upgrade

1239 frissített, 85 újonnan telepített, 4 eltávolítandó és 0 nem frissített.
Letöltendő adatmennyiség: 2.036 MB.
A művelet után 2.446 MB lemezterület kerül felhasználásra.
Folytatni akarja? [I/n] y
 

Szerkesztve: 2021. 09. 25., szo – 21:07

Természetesen ahogy eddig is, minden frankón lefutott és fut a lassan véglegessé váló.

Meglepődtem viszont: initrd zstd-vel tömöríti az initrd image-t.
   zstd -q -19 -T0 -c /var/tmp/mkinitramfs-MAIN_9aCObo

Ellenpróba: hirsute még nem zstd-t használ az initrd tömörítésre.
A /usr/share/doc/initramfs-tools/changelog.gz állományban ezt az újítást le is írták:
 

initramfs-tools (0.140ubuntu5) impish; urgency=medium

  * Switch default initramfs compression to zstd, as it produces the lower
    overall boot time. LP: #1931725

Fri, 11 Jun 2021

még mindig 18.04-en vagyok. Nagyon félek a snap-től.

GPLv3-as hozzászólás.

Elvileg az újabb verziókon is ki lehet irtani, el lehet távolítani, stb.., de ja, szívás. Szerintem ha majd 18.04-ről váltasz, akkor valami mást tegyél fel, mármint maradhatsz Ubuntu LTS vonalon, de ne a fő Gnome-kiadást tedd fel. A többi kiadásban, Xubuntu, Lubuntu, Kubuntu, stb. nincs benne a Snap egyáltalán.

“I didn’t start using Linux so I could have friends.” (Luke Smith, 2019) 🐧

Egy konténerizált univerzális csomagformátum, ami minden disztrón tud működni. A Canonical találmánya, most ezt erőlteti Ubuntu-n, hogy már szinte egyik alkalmazás se a tárolókban lévő natív csomagokból települ, hanem ilyen konténerizált Snap formájában. Lényegében kicsit olyasmi, mint a Docker, hogy az alkalmazás a saját szeparált környezetében fut, és hozzá van csomagolva az összes függősége is, hogy ne ütközzön rendszerfüggőségekkel. Csak ennek ára van, mert az alkalmazás is bloatabb lesz, az az app, ami egyébként natívan foglalna 100 megát, az Snap-ban foglal 1 gigát, mivel hozzá van csomagolva minden, már csak azért is, hogy ha csomagfüggőség nem is probléma, de a verziófüggőség se legyen az.

Egyébként most mindenki hasonlót erőltet, a Red Hat ugyanez pepitában, csak ők a Flatpakkot nyomják, mint saját megoldást, de néhány disztró veszi át azt is, a Red Hat vonalon túl, pl. Mint, Elementarty, stb..

Eleinte ezek az univerzális csomagformátumok azt a célt szolgálták, hogy ha valami nincs meg a disztród tárolójában, és kezdő valaki, akkor ne kelljen forráskódból pörgetéssel kínlódni, meg kétes PPA-kat és egyebeket a rendszerhez hozzáadni, hanem telepít ilyen univerzális csomagokat. Arra a célra még el is ment, de most már kezdik túltolni, olyan alkalmazásoknál is erőltetik, amikből ott van a natív (sokszor frissebb) verzió a tárolókban. Gáz nagyon. Elég sok felhasználó menekül már ez elől. Hála az égnek még egyelőre minden disztróvonanol elkerülhető, de egy újabb bloat, amivel vigyázni kell.

“I didn’t start using Linux so I could have friends.” (Luke Smith, 2019) 🐧

Én úgy tudom, hogy a legújabb Elementary-n szinte minden Flatpak már, és mikor a grafikus szoftverközpontból telepítesz, az is flatpakkos csomagokat ház már le a Flathubról.

Egyébként senkinek nem szoktam javasolni ezeket az univerzális formátumokat, csak nagyon-nagyon kezdőknek, nekik is csak olyan kivételes jelleggel, amikor egy nekik nagyon kellő szoftvert máshogy nem tudnak felrakni, pl. nincs hozzá PPA, vagy nincs meg a tudásuk, hogy forráskódból forgassák, vagy az adott szoftver verziófüggőségei ütköznek a disztróéval. Általános jelleggel mindent Flatpakből és Snapből használni nem ajánlott. Sajnos nem csak a Ubuntu, Elementary, de már egyre több más disztró is erőlteti, pl. Fedora, de kezdi már a Mint is. Ez egy elég rossz tendencia.

“I didn’t start using Linux so I could have friends.” (Luke Smith, 2019) 🐧

azert tegyuk hozza, hogy a flatpak kicsit mas mint a nem olyan nagyszeru es tenyleg bloat snap. De mind a ketto tudja mondjuk a jogosultsag kezelest, mint mondjuk az android telefonon az appok, azaz meg tudod nekik mondani mihez fernek hozza. Ellentetben mondjuk egy deb vagy rpm-el. Bar a flatpak ebben is kicsit szofisztikaltabb. Valamint azt is mondjuk el, hogy ugyanugy ahogy egy containernel itt is van runtime azaz nem csomagolja minden KDE alkalmazashoz hozza a KDE lib-eket egyik sem, hanem a runtime-ra dependal (https://docs.flatpak.org/en/latest/available-runtimes.html). Es akkor beszeljunk arrol, hogy mennyire egyszeru frissiteni egy flatpak-et pl (tud peldaul autmatikusan frissulni) mint egy native csomag dependency hell-jet. 

Felreertes ne essek en is kerulom a snap-et es flatpak-et ahol lehet, de azert ne legyunk fekete-feherek mar!